<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
	<head>
		<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
		<title><?php wp_title('&laquo;', true, 'right'); ?><?php bloginfo('name'); ?></title>
		<link rel="stylesheet" href="<?php echo bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
		<style type="text/css">
			/*<?php
			$bgcolor = get_option('bs_bgcolor');
			$textcolor = get_option('bs_textcolor');
			$linkcolor = get_option('bs_linkcolor');
			$navcolor = get_option('bs_navcolor');
			$pagecolor = get_option('bs_pagecolor');
			$headertextcolor = get_option('bs_headertextcolor');
			$transamount = get_option('bs_transamount');
			
			$postcolor = blendcolors($pagecolor, $bgcolor, $transamount);
			
			$bgcolors = html2rgb($bgcolor);
			$posttrans = "rgba($bgcolors[0], $bgcolors[1], $bgcolors[2], $transamount)";
			?>*/
			body {
				background-color: <?php echo $bgcolor; ?>;
				color: <?php echo $textcolor; ?>;
			}
			
			#footer {
				color:<?php echo $navcolor; ?>;
			}
			
			#footer a:link, #footer a:visited {
				color:<?php echo $navcolor; ?>;
			}
						
			#page {
				background-color: <?php echo $pagecolor; ?>;
			}
			
			.post .ne, .post .se, .post .nw, .post .sw  {
				background-color:<?php echo $textcolor; ?>;
			}
			.post .body {
				border-left: 10px solid <?php echo $textcolor; ?>;
				border-right: 10px solid <?php echo $textcolor; ?>;
			}	
			.post .bg {
				background-color: <?php echo $postcolor; ?>;
				background-color: <?php echo $posttrans; ?>;
				color: <?php echo $textcolor; ?>;
			}
			.post a, .post h2 a:hover, .post h3 a:hover {
				color: <?php echo $linkcolor; ?>;  
			}
			.type-page .bg {
				background-color: <?php echo $postcolor; ?>;
				background-color: <?php echo $posttrans; ?>;
				color: <?php echo $textcolor; ?>;
			}
			.type-page a, .type-page h2 a:hover, .type-page h3 a:hover {
				color: <?php echo $linkcolor; ?>;  
			}

			h1 a, h1 a:hover, h1 a:visited {
				color: <?php echo $headertextcolor; ?>;
			}

			#headerimg .description {
				color: <?php echo $headertextcolor; ?>;
			}
			
			
			#sidebar #searchform #s {
				background-color: transparent;
				border: 1px solid <?php echo $textcolor; ?>;
				color: <?php echo $textcolor; ?>;
			}

			#sidebar #searchsubmit {
				background-color: transparent;
				color: <?php echo $postcolor; ?>;
				color: transparent;
			}
			
			#sidebar {
				background-color: <?php echo $postcolor; ?>;
				background-color: <?php echo $posttrans; ?>;
			}
			#sidebar a, #sidebar h2 a:hover, #sidebar h3 a:hover {
				color: <?php echo $linkcolor; ?>;  
			}
			
			.navigation {
				color:<?php echo $navcolor; ?>;
			}
				
			.navigation a:link, .navigation a:visited {
				color:<?php echo $navcolor; ?>;
			}
			
			#access {
				background-color: <?php echo $bgcolor; ?>;
			}
			#access a {
				border-right: 1px solid <?php echo $navcolor; ?>;
				color: <?php echo $navcolor; ?>;
			}
			#access ul ul {
				background: <?php echo $bgcolor; ?>;
			}
			#access li:hover > a,
			#access ul ul :hover > a {
				background: <?php echo $bgcolor; ?>;
				color: <?php echo $navcolor; ?>;
			}
			#access ul li.current_page_item > a,
			#access ul li.current-menu-ancestor > a,
			#access ul li.current-menu-item > a,
			#access ul li.current-menu-parent > a {
				color: <?php echo $navcolor; ?>;
			}
			* html #access ul li.current_page_item a,
			* html #access ul li.current-menu-ancestor a,
			* html #access ul li.current-menu-item a,
			* html #access ul li.current-menu-parent a,
			* html #access ul li a:hover {
				color: <?php echo $navcolor; ?>;
			}
		</style>
		<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
		<?php if ( is_singular() ) wp_enqueue_script( 'comment-reply' ); ?>
		<?php wp_head(); ?>
	</head>
	<body <?php body_class(); ?>>
		<div id="page">
			<div id="header" style="background-image: url('<?php
					// Check if this is a post or page, if it has a thumbnail, and if it's a big one
					if ( is_singular() &&
							has_post_thumbnail( $post->ID ) &&
							( /* $src, $width, $height */ $image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'post-thumbnail' ) ) &&
							$image[1] >= HEADER_IMAGE_WIDTH ) :
						// Houston, we have a new header image!
						echo get_the_post_thumbnail( $post->ID, 'post-thumbnail' );
					else : ?>
						<?php header_image(); ?>
					<?php endif; ?>');">
				<div id="headerimg">
					<h1><a href="<?php echo get_option('home'); ?>/"><?php bloginfo('name'); ?></a></h1>
					<div class="description"><?php bloginfo('description'); ?></div>
				</div>
			</div>
			<div id="access" role="navigation">
			  <?php /*  Allow screen readers / text browsers to skip the navigation menu and get right to the good stuff */ ?>
				<div class="skip-link screen-reader-text"><a href="#content" title="<?php esc_attr_e( 'Skip to content', 'twentyten' ); ?>"><?php _e( 'Skip to content', 'twentyten' ); ?></a></div>
				<?php /* Our navigation menu.  If one isn't filled out, wp_nav_menu falls back to wp_page_menu.  The menu assiged to the primary position is the one used.  If none is assigned, the menu with the lowest ID is used.  */ ?>
				<?php wp_nav_menu( array( 'container_class' => 'menu-header', 'theme_location' => 'primary' ) ); ?>
			</div><!-- #access -->