<?php
$themename = "Stylo";
/*
$theme_current_version = "1.2";
$theme_url = "http://awakening.ch/themes/";
$alt_styles_path = TEMPLATEPATH . '/css/colors/';
$alt_styles = array();	
if ( is_dir($alt_styles_path) ) {
	if ($alt_style_dir = opendir($alt_styles_path) ) { 
		while ( ($alt_style_file = readdir($alt_style_dir)) !== false ) {
			if(stristr($alt_style_file, ".css") !== false) {
				$alt_styles[] = $alt_style_file;
			}
		}	
	}
}	

$alt_styles_tmp = asort($alt_styles);
$alt_styles_tmp = array_unshift($alt_styles, "Default");
*/
$options = array (
	array(
		"name" => "Background Color",
		"id" => "bs_bgcolor",
		"std" => "#4682B4",
		"desc" => "The background color for the outsides of the page.",
		"type" => "color"
		),
	array(
		"name" => "Page Background Color",
		"id" => "bs_pagecolor",
		"std" => "#777",
		"desc" => "The background color for the middle of the page.",
		"type" => "color"
		),
	array(
		"name" => "Header Text Color",
		"id" => "bs_headertextcolor",
		"std" => "#000",
		"desc" => "",
		"type" => "color"
		),
	array(
		"name" => "Text Color",
		"id" => "bs_textcolor",
		"std" => "#fff",
		"desc" => "",
		"type" => "color"
		),
	array(
		"name" => "Link Color",
		"id" => "bs_linkcolor",
		"std" => "#aaa",
		"desc" => "",
		"type" => "color"
		),
	array(
		"name" => "Navigation Link Color",
		"id" => "bs_navcolor",
		"std" => "#fff",
		"desc" => "",
		"type" => "color"
		),	
	array(
		"name" => "Transparency Percent",
		"id" => "bs_transamount",
		"std" => ".8",
		"desc" => "Between 0 and 1, 0 = invisible, 1 = solid",
		"type" => "number"
		)
);

function mytheme_add_admin() {
	global $themename, $shortname, $options;
	if ( $_GET['page'] == basename(__FILE__) ) 
	{
		if ( 'save' == $_REQUEST['action'] ) 
		{
			foreach ($options as $value) 
			{
				switch ($value['type'])
				{
					case "color":
						//get the color
						$v = $_POST[ $value['id'] ];
						
						//if it starts with a pount sign, remove it
						if ($v[0] == '#')
							$v = substr($v, 1);
						
						//Ensure $v is a hex color of length 3 or 6;
						if ((strlen($v) == 3 || strlen($v) == 6) && isHex($v))
						{
							update_option( $value['id'], "#".$v ); 
						}
												
						break;
					case "number":
						$v = $_POST[ $value['id'] ];
						
						//Ensure $v is a number
						if (is_numeric($v))
						{
							//fix the bounds of the color
							if ($v < 0) $v = 0;
							else if ($v > 1) $v = 1;
							
							update_option( $value['id'], $v ); 
						}
						break;						
				}
			}

			header("Location: themes.php?page=theme-options.php&saved=true");
			die;

		} 
		else if( 'reset' == $_REQUEST['action'] ) 
		{
			//seed the options with the options in the array if they aren't already.
			foreach ($options as $value) 
			{
				if ( !isset($value['id']) )
				{
					add_option($value['id'], $value['std']);
				}
				else
				{
					update_option($value['id'], $value['std']);
				}
			}

			header("Location: themes.php?page=theme-options.php&reset=true");
			die;
		}
	}
	
	add_theme_page($themename." Options", $themename." Options", 'edit_themes', basename(__FILE__), 'mytheme_admin');
}

function mytheme_admin() {

    global $themename, $shortname, $options;

    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' settings saved.</strong></p></div>';
    if ( $_REQUEST['reset'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' settings reset.</strong></p></div>';

	//seed the options with the options in the array if they aren't already.
	foreach ($options as $value) 
	{
		if ( !isset($value['id']) )
		{
			add_option($value['id'], $value['std']);
		}
		else if ( get_option($value['id'])  == "") 
		{
			update_option($value['id'], $value['std']);
		}
	}
	?>

	<form method="post">

		<table>
			<?php 
			foreach ($options as $value) 
			{
			?>
			<tr valign="top"> 
				<th align="right" scope="row"><?php echo $value['name']; ?>:</th>
				<td>
					<input type="text" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="<?php echo get_option($value['id']); ?>" />
				</td>
				<td align="left">
					<?php echo $value['desc']; ?>
				</td>
			</tr>
			<?php 
			}
			?>
		</table>
		<p>Note: All colors must be entered as hex or the change will be ignored.</p>
		
		<div class="submit" style="float:left;">
			<input name="save" type="submit" value="Save changes" />    
			<input type="hidden" name="action" value="save" />
		</div>
	</form>
	<form method="post">
		<div class="submit" style="float:left;">
			<input name="reset" type="submit" value="Reset to Defaults" />    
			<input type="hidden" name="action" value="reset" />
		</div>
	</form>

<?php
}

add_action('admin_menu', 'mytheme_add_admin');
/*
if ( isset($pe_alt_style) && !($pe_alt_style == 'Default') ) 
{
	echo '<link rel="stylesheet" href="' . get_bloginfo('template_directory') . '/css/colors/' . $pe_alt_style . '" type="text/css" media="screen" />'; 
} 
*/?>